/*
 * amati-panels-backlight-a-hog.dtsi - Hog the PWM pin for backlight A high.
 *
 * Copyright (c) 2018 Sensics, Inc. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 */

#include <dt-bindings/gpio/gpio.h>
#include <dt-bindings/gpio/tegra186-gpio.h>

/ {
	gpio@c2f0000 {
		/// @todo replace this gpio hog with a binary or pwm backlight.
		panel-a-backlight-pwm {
			gpio-hog;
			gpios = <TEGRA_AON_GPIO(U, 0) GPIO_ACTIVE_HIGH>;
			output-high;
			label = "panel-a-backlight-pwm";
		};
	};
};
